diff --git a/gcc/simplify-rtx.c b/gcc/simplify-rtx.c
index 7cab26a..a25d658 100644
--- a/gcc/simplify-rtx.c
+++ b/gcc/simplify-rtx.c
@@ -1440,7 +1440,7 @@ simplify_unary_operation_1 (enum rtx_code code, machine_mode mode, rtx op)
 	      else /* rcode == SIGN_EXTEND */
 		bits += GET_MODE_PRECISION (GET_MODE (XEXP (rhs, 0)));
 
-	      /* We can only widen multiplies if the result is mathematiclly
+	      /* We can only widen multiplies if the result is mathematically
 		 equivalent.  I.e. if overflow was impossible.  */
 	      if (bits <= GET_MODE_PRECISION (GET_MODE (op)))
 		return simplify_gen_binary
@@ -1577,7 +1577,7 @@ simplify_unary_operation_1 (enum rtx_code code, machine_mode mode, rtx op)
 	      else /* rcode == ZERO_EXTEND */
 		bits += GET_MODE_PRECISION (GET_MODE (XEXP (rhs, 0)));
 
-	      /* We can only widen multiplies if the result is mathematiclly
+	      /* We can only widen multiplies if the result is mathematically
 		 equivalent.  I.e. if overflow was impossible.  */
 	      if (bits <= GET_MODE_PRECISION (GET_MODE (op)))
 		return simplify_gen_binary
diff --git a/gcc/stringpool.h b/gcc/stringpool.h
index be3a057..6f59bcc 100644
--- a/gcc/stringpool.h
+++ b/gcc/stringpool.h
@@ -1,4 +1,4 @@
-/* Declarations and definitons for stringpool.c.
+/* Declarations and definitions for stringpool.c.
    Copyright (C) 2013-2017 Free Software Foundation, Inc.
 
 This file is part of GCC.
diff --git a/gcc/symbol-summary.h b/gcc/symbol-summary.h
index e672c81..8dc4575 100644
--- a/gcc/symbol-summary.h
+++ b/gcc/symbol-summary.h
@@ -76,7 +76,7 @@ public:
     m_released = true;
   }
 
-  /* Traverses all summarys with a function F called with
+  /* Traverses all summaries with a function F called with
      ARG as argument.  */
   template<typename Arg, bool (*f)(const T &, Arg)>
   void traverse (Arg a) const
@@ -305,7 +305,7 @@ public:
     m_released = true;
   }
 
-  /* Traverses all summarys with a function F called with
+  /* Traverses all summaries with a function F called with
      ARG as argument.  */
   template<typename Arg, bool (*f)(const T &, Arg)>
   void traverse (Arg a) const
diff --git a/gcc/symtab.c b/gcc/symtab.c
index 0145910..f69a2f1 100644
--- a/gcc/symtab.c
+++ b/gcc/symtab.c
@@ -729,7 +729,7 @@ symtab_node::remove_stmt_references (gimple *stmt)
 }
 
 /* Remove all stmt references in non-speculative references.
-   Those are not maintained during inlining & clonning.
+   Those are not maintained during inlining & cloning.
    The exception are speculative references that are updated along
    with callgraph edges associated with them.  */
 
@@ -1383,7 +1383,7 @@ symtab_node::ultimate_alias_target_1 (enum availability *availability,
      availability prevails the availability of its target (i.e. static alias of
      weak definition is available.
 
-     Transaparent alias is just alternative anme of a given symbol used within
+     Transaparent alias is just alternative name of a given symbol used within
      one compilation unit and is translated prior hitting the object file.  It
      inherits the visibility of its target.
      Weakref is a different animal (and noweak definition is weak).
@@ -1600,7 +1600,7 @@ symtab_node::set_init_priority (priority_type priority)
   h->init = priority;
 }
 
-/* Set fialization priority to PRIORITY.  */
+/* Set finalization priority to PRIORITY.  */
 
 void
 cgraph_node::set_fini_priority (priority_type priority)
@@ -1745,7 +1745,7 @@ symtab_node::noninterposable_alias (symtab_node *node, void *data)
   return false;
 }
 
-/* If node can not be overwriten by static or dynamic linker to point to
+/* If node can not be overwritten by static or dynamic linker to point to
    different definition, return NODE. Otherwise look for alias with such
    property and if none exists, introduce new one.  */
 
@@ -1845,7 +1845,7 @@ enum symbol_partitioning_class
 symtab_node::get_partitioning_class (void)
 {
   /* Inline clones are always duplicated.
-     This include external delcarations.   */
+     This include external declarations.   */
   cgraph_node *cnode = dyn_cast <cgraph_node *> (this);
 
   if (DECL_ABSTRACT_P (decl))
@@ -1945,7 +1945,7 @@ symtab_node::nonzero_address ()
 
   /* If target is defined and not extern, we know it will be output and thus
      it will bind to non-NULL.
-     Play safe for flag_delete_null_pointer_checks where weak definition maye
+     Play safe for flag_delete_null_pointer_checks where weak definition may
      be re-defined by NULL.  */
   if (definition && !DECL_EXTERNAL (decl)
       && (flag_delete_null_pointer_checks || !DECL_WEAK (decl)))
@@ -2004,7 +2004,7 @@ symtab_node::equal_address_to (symtab_node *s2, bool memory_accessed)
      code and are used only within speculation.  In this case we may make
      symbol equivalent to its alias even if interposition may break this
      rule.  Doing so will allow us to turn speculative inlining into
-     non-speculative more agressively.  */
+     non-speculative more aggressively.  */
   if (DECL_VIRTUAL_P (this->decl) && avail1 >= AVAIL_AVAILABLE)
     binds_local1 = true;
   if (DECL_VIRTUAL_P (s2->decl) && avail2 >= AVAIL_AVAILABLE)
@@ -2039,7 +2039,7 @@ symtab_node::equal_address_to (symtab_node *s2, bool memory_accessed)
   if (rs1->alias || rs2->alias)
     return -1;
 
-  /* If we have a non-interposale definition of at least one of the symbols
+  /* If we have a non-interposable definition of at least one of the symbols
      and the other symbol is different, we know other unit can not interpose
      it to the first symbol; all aliases of the definition needs to be 
      present in the current unit.  */
@@ -2060,7 +2060,7 @@ symtab_node::equal_address_to (symtab_node *s2, bool memory_accessed)
 
   /* TODO: Alias oracle basically assume that addresses of global variables
      are different unless they are declared as alias of one to another while
-     the code folding comparsions doesn't.
+     the code folding comparisons doesn't.
      We probably should be consistent and use this fact here, too, but for
      the moment return false only when we are called from the alias oracle.  */
 
diff --git a/gcc/target.def b/gcc/target.def
index bd60484..9975cbc 100644
--- a/gcc/target.def
+++ b/gcc/target.def
@@ -708,7 +708,7 @@ nothing.",
  void, (void),
  hook_void_void)
 
-/* Output any boilerplace text needed at the end of a
+/* Output any boilerplate text needed at the end of a
    translation unit before debug and unwind info is emitted.  */
 DEFHOOK
 (code_end,
@@ -1510,7 +1510,7 @@ of instructions divided by the issue rate.",
  int, (struct ddg *g), NULL)
 
 /* The following member value is a function that initializes dispatch
-   schedling and adds instructions to dispatch window according to its
+   scheduling and adds instructions to dispatch window according to its
    parameters.  */
 DEFHOOK
 (dispatch_do,
@@ -1520,7 +1520,7 @@ void, (rtx_insn *insn, int x),
 hook_void_rtx_insn_int)
 
 /* The following member value is a a function that returns true is
-   dispatch schedling is supported in hardware and condition passed
+   dispatch scheduling is supported in hardware and condition passed
    as the second parameter is true.  */
 DEFHOOK
 (dispatch,
diff --git a/gcc/targhooks.c b/gcc/targhooks.c
index 1cdec06..40ed8f0 100644
--- a/gcc/targhooks.c
+++ b/gcc/targhooks.c
@@ -552,7 +552,7 @@ default_floatn_mode (int n, bool extended)
   return VOIDmode;
 }
 
-/* Make some target macros useable by target-independent code.  */
+/* Make some target macros usable by target-independent code.  */
 bool
 targhook_words_big_endian (void)
 {
@@ -1136,7 +1136,7 @@ default_builtin_vector_alignment_reachable (const_tree /*type*/, bool is_packed)
 }
 
 /* By default, assume that a target supports any factor of misalignment
-   memory access if it supports movmisalign patten.
+   memory access if it supports movmisalign pattern.
    is_packed is true if the memory access is defined in a packed struct.  */
 bool
 default_builtin_support_vector_misalignment (machine_mode mode,
diff --git a/gcc/trans-mem.c b/gcc/trans-mem.c
index f9809d5..dc49e1f 100644
--- a/gcc/trans-mem.c
+++ b/gcc/trans-mem.c
@@ -4450,7 +4450,7 @@ ipa_tm_scan_irr_block (basic_block bb)
   return false;
 }
 
-/* For each of the blocks seeded witin PQUEUE, walk the CFG looking
+/* For each of the blocks seeded within PQUEUE, walk the CFG looking
    for new irrevocable blocks, marking them in NEW_IRR.  Don't bother
    scanning past OLD_IRR or EXIT_BLOCKS.  */
 
diff --git a/gcc/tree-cfg.c b/gcc/tree-cfg.c
index 6cb03ed..3f4dc80 100644
--- a/gcc/tree-cfg.c
+++ b/gcc/tree-cfg.c
@@ -2633,7 +2633,7 @@ stmt_starts_bb_p (gimple *stmt, gimple *prev_stmt)
 	  && gimple_code (prev_stmt) != GIMPLE_LABEL
 	  && (gimple_code (prev_stmt) != GIMPLE_CALL
 	      || ! gimple_call_internal_p (prev_stmt, IFN_PHI)))
-	/* PHI nodes start a new block unless preceeded by a label
+	/* PHI nodes start a new block unless preceded by a label
 	   or another PHI.  */
 	return true;
     }
@@ -7994,7 +7994,7 @@ gimple_block_ends_with_condjump_p (const_basic_block bb)
 
 
 /* Return true if statement T may terminate execution of BB in ways not
-   explicitly represtented in the CFG.  */
+   explicitly represented in the CFG.  */
 
 bool
 stmt_can_terminate_bb_p (gimple *t)
diff --git a/gcc/tree-cfgcleanup.c b/gcc/tree-cfgcleanup.c
index 94a172f..44888a1 100644
--- a/gcc/tree-cfgcleanup.c
+++ b/gcc/tree-cfgcleanup.c
@@ -558,7 +558,7 @@ remove_forwarder_block (basic_block bb)
       set_immediate_dominator (CDI_DOMINATORS, dest, dom);
     }
 
-  /* Adjust latch infomation of BB's parent loop as otherwise
+  /* Adjust latch information of BB's parent loop as otherwise
      the cfg hook has a hard time not to kill the loop.  */
   if (current_loops && bb->loop_father->latch == bb)
     bb->loop_father->latch = pred;
@@ -696,7 +696,7 @@ cleanup_tree_cfg_1 (void)
   /* Start by iterating over all basic blocks looking for edge removal
      opportunities.  Do this first because incoming SSA form may be
      invalid and we want to avoid performing SSA related tasks such
-     as propgating out a PHI node during BB merging in that state.  */
+     as propagating out a PHI node during BB merging in that state.  */
   n = last_basic_block_for_fn (cfun);
   for (i = NUM_FIXED_BLOCKS; i < n; i++)
     {
@@ -1020,7 +1020,7 @@ remove_forwarder_block_with_phi (basic_block bb)
 
   set_immediate_dominator (CDI_DOMINATORS, dest, dom);
 
-  /* Adjust latch infomation of BB's parent loop as otherwise
+  /* Adjust latch information of BB's parent loop as otherwise
      the cfg hook has a hard time not to kill the loop.  */
   if (current_loops && bb->loop_father->latch == bb)
     bb->loop_father->latch = pred;
diff --git a/gcc/tree-chkp-opt.c b/gcc/tree-chkp-opt.c
index a08f081..5196956 100644
--- a/gcc/tree-chkp-opt.c
+++ b/gcc/tree-chkp-opt.c
@@ -54,7 +54,7 @@ struct address_t
   vec<struct pol_item> pol;
 };
 
-/* Structure to hold check informtation.  */
+/* Structure to hold check information.  */
 struct check_info
 {
   /* Type of the check.  */
@@ -811,7 +811,7 @@ chkp_remove_excess_intersections (void)
     }
 }
 
-/*  Try to remove all checks which are known to alwyas pass.  */
+/*  Try to remove all checks which are known to always pass.  */
 static void
 chkp_remove_constant_checks (void)
 {
diff --git a/gcc/tree-chkp.c b/gcc/tree-chkp.c
index 2300e98..9f08258 100644
--- a/gcc/tree-chkp.c
+++ b/gcc/tree-chkp.c
@@ -1,4 +1,4 @@
-/* Pointer Bounds Checker insrumentation pass.
+/* Pointer Bounds Checker instrumentation pass.
    Copyright (C) 2014-2017 Free Software Foundation, Inc.
    Contributed by Ilya Enkovich (ilya.enkovich@intel.com)
 
@@ -671,7 +671,7 @@ chkp_completed_bounds (tree bounds)
   return chkp_completed_bounds_set->contains (bounds);
 }
 
-/* Clear comleted bound marks.  */
+/* Clear completed bound marks.  */
 static void
 chkp_erase_completed_bounds (void)
 {
@@ -708,7 +708,7 @@ chkp_incomplete_bounds (tree bounds)
   return chkp_incomplete_bounds_map->get (bounds) != NULL;
 }
 
-/* Clear incomleted bound marks.  */
+/* Clear incomplete bound marks.  */
 static void
 chkp_erase_incomplete_bounds (void)
 {
@@ -873,7 +873,7 @@ chkp_find_valid_phi_bounds (tree const &bounds, tree *slot, bool *res)
 }
 
 /* Helper function for chkp_finish_incomplete_bounds.
-   Marks all incompleted bounds as invalid.  */
+   Marks all incomplete bounds as invalid.  */
 bool
 chkp_mark_invalid_bounds_walker (tree const &bounds,
 				 tree *slot ATTRIBUTE_UNUSED,
@@ -889,11 +889,11 @@ chkp_mark_invalid_bounds_walker (tree const &bounds,
 
 /* When all bound phi nodes have all their args computed
    we have enough info to find valid bounds.  We iterate
-   through all incompleted bounds searching for valid
+   through all incomplete bounds searching for valid
    bounds.  Found valid bounds are marked as completed
-   and all remaining incompleted bounds are recomputed.
+   and all remaining incomplete bounds are recomputed.
    Process continues until no new valid bounds may be
-   found.  All remained incompleted bounds are marked as
+   found.  All remained incomplete bounds are marked as
    invalid (i.e. have no valid source of bounds).  */
 static void
 chkp_finish_incomplete_bounds (void)
@@ -995,7 +995,7 @@ chkp_set_bounds (tree node, tree val)
 
 /* Check if statically initialized variable VAR require
    static bounds initialization.  If VAR is added into
-   bounds initlization list then 1 is returned. Otherwise
+   bounds initialization list then 1 is returned. Otherwise
    return 0.  */
 extern bool
 chkp_register_var_initializer (tree var)
@@ -1020,7 +1020,7 @@ chkp_register_var_initializer (tree var)
 /* Helper function for chkp_finish_file.
 
    Add new modification statement (RHS is assigned to LHS)
-   into list of static initializer statementes (passed in ARG).
+   into list of static initializer statements (passed in ARG).
    If statements list becomes too big, emit checker constructor
    and start the new one.  */
 static void
@@ -1107,7 +1107,7 @@ chkp_output_static_bounds (tree bnd_var, tree var,
     }
 }
 
-/* Return entry block to be used for checker initilization code.
+/* Return entry block to be used for checker initialization code.
    Create new block if required.  */
 static basic_block
 chkp_get_entry_block (void)
@@ -1432,7 +1432,7 @@ chkp_check_upper (tree addr, tree bounds,
 }
 
 /* Generate lower and upper bound checks for memory access
-   to memory slot [FIRST, LAST] againsr BOUNDS.  Checks
+   to memory slot [FIRST, LAST] against BOUNDS.  Checks
    are inserted before the position pointed by ITER.
    DIRFLAG indicates whether memory access is load or store.  */
 void
@@ -1511,7 +1511,7 @@ chkp_build_component_ref (tree obj, tree field)
 
   /* If object is TMR then we do not use component_ref but
      add offset instead.  We need it to be able to get addr
-     of the reasult later.  */
+     of the result later.  */
   if (TREE_CODE (obj) == TARGET_MEM_REF)
     {
       tree offs = TMR_OFFSET (obj);
@@ -1541,7 +1541,7 @@ chkp_build_array_ref (tree arr, tree etype, tree esize,
 
   /* If object is TMR then we do not use array_ref but
      add offset instead.  We need it to be able to get addr
-     of the reasult later.  */
+     of the result later.  */
   if (TREE_CODE (arr) == TARGET_MEM_REF)
     {
       tree offs = TMR_OFFSET (arr);
@@ -1637,7 +1637,7 @@ chkp_find_bounds_for_elem (tree elem, tree *all_bounds,
 }
 
 /* Fill HAVE_BOUND output bitmap with information about
-   bounds requred for object of type TYPE.
+   bounds required for object of type TYPE.
 
    OFFS is used for recursive calls and holds basic
    offset of TYPE in outer structure in bits.
@@ -2153,7 +2153,7 @@ chkp_get_none_bounds (void)
 }
 
 /* Return bounds to be used as a result of operation which
-   should not create poiunter (e.g. MULT_EXPR).  */
+   should not create pointer (e.g. MULT_EXPR).  */
 static tree
 chkp_get_invalid_op_bounds (void)
 {
@@ -2920,7 +2920,7 @@ chkp_build_make_bounds_call (tree lower_bound, tree size)
 			  call, 2, lower_bound, size);
 }
 
-/* Create static bounds var of specfified OBJ which is
+/* Create static bounds var of specified OBJ which is
    is either VAR_DECL or string constant.  */
 static tree
 chkp_make_static_bounds (tree obj)
@@ -3217,7 +3217,7 @@ chkp_get_bounds_for_string_cst (tree cst)
   return bounds;
 }
 
-/* Generate code to instersect bounds BOUNDS1 and BOUNDS2 and
+/* Generate code to intersect bounds BOUNDS1 and BOUNDS2 and
    return the result.  if ITER is not NULL then Code is inserted
    before position pointed by ITER.  Otherwise code is added to
    entry block.  */
@@ -3269,7 +3269,7 @@ chkp_intersect_bounds (tree bounds1, tree bounds2, gimple_stmt_iterator *iter)
 }
 
 /* Return 1 if we are allowed to narrow bounds for addressed FIELD
-   and 0 othersize.  REF is reference to the field.  */
+   and 0 otherwise.  REF is reference to the field.  */
 
 static bool
 chkp_may_narrow_to_field (tree ref, tree field)
@@ -3358,7 +3358,7 @@ chkp_narrow_bounds_to_field (tree bounds, tree component,
 
 /* Parse field or array access NODE.
 
-   PTR ouput parameter holds a pointer to the outermost
+   PTR output parameter holds a pointer to the outermost
    object.
 
    BITFIELD output parameter is set to 1 if bitfield is
@@ -3610,7 +3610,7 @@ chkp_make_addressed_object_bounds (tree obj, gimple_stmt_iterator *iter)
 
    If PTR_SRC is not NULL_TREE then ITER points to statements which loads
    PTR.  If PTR is a any memory reference then ITER points to a statement
-   after which bndldx will be inserterd.  In both cases ITER will be updated
+   after which bndldx will be inserted.  In both cases ITER will be updated
    to point to the inserted bndldx statement.  */
 
 static tree
@@ -3782,7 +3782,7 @@ chkp_find_bounds_loaded (tree ptr, tree ptr_src, gimple_stmt_iterator *iter)
 /* Helper function which checks type of RHS and finds all pointers in
    it.  For each found pointer we build it's accesses in LHS and RHS
    objects and then call HANDLER for them.  Function is used to copy
-   or initilize bounds for copied object.  */
+   or initialize bounds for copied object.  */
 static void
 chkp_walk_pointer_assignments (tree lhs, tree rhs, void *arg,
 			       assign_handler handler)
@@ -3890,7 +3890,7 @@ chkp_copy_bounds_for_elem (tree lhs, tree rhs, void *arg)
   chkp_build_bndstx (addr, rhs, bounds, iter);
 }
 
-/* Emit static bound initilizers and size vars.  */
+/* Emit static bound initializers and size vars.  */
 void
 chkp_finish_file (void)
 {
diff --git a/gcc/tree-chrec.c b/gcc/tree-chrec.c
index 66d3a7b..fafcb28 100644
--- a/gcc/tree-chrec.c
+++ b/gcc/tree-chrec.c
@@ -1644,7 +1644,7 @@ scev_is_linear_expression (tree scev)
     }
 }
 
-/* Determines whether the expression CHREC contains only interger consts
+/* Determines whether the expression CHREC contains only integer consts
    in the right parts.  */
 
 bool
diff --git a/gcc/tree-core.h b/gcc/tree-core.h
index ea73477..844a102 100644
--- a/gcc/tree-core.h
+++ b/gcc/tree-core.h
@@ -153,8 +153,8 @@ enum built_in_class {
   BUILT_IN_NORMAL
 };
 
-/* Last marker used for LTO stremaing of built_in_class.  We can not add it
-   to the enum since we need the enumb to fit in 2 bits.  */
+/* Last marker used for LTO streaming of built_in_class.  We can not add it
+   to the enum since we need the enum to fit in 2 bits.  */
 #define BUILT_IN_LAST (BUILT_IN_NORMAL + 1)
 
 /* Codes that identify the various built in functions
diff --git a/gcc/tree-data-ref.c b/gcc/tree-data-ref.c
index d16bc36..fe0a2ad 100644
--- a/gcc/tree-data-ref.c
+++ b/gcc/tree-data-ref.c
@@ -1107,7 +1107,7 @@ create_data_ref (loop_p nest, loop_p loop, tree memref, gimple *stmt,
   return dr;
 }
 
-/*  A helper function computes order between two tree epxressions T1 and T2.
+/*  A helper function computes order between two tree expressions T1 and T2.
     This is used in comparator functions sorting objects based on the order
     of tree expressions.  The function returns -1, 0, or 1.  */
 
@@ -1266,7 +1266,7 @@ comp_dr_with_seg_len_pair (const void *pa_, const void *pb_)
    memory of store_ptr_0 cannot be between the memory of load_ptr_0 and
    load_ptr_1.)
 
-   we then can use only the following expression to finish the alising checks
+   we then can use only the following expression to finish the aliasing checks
    between store_ptr_0 & load_ptr_0 and store_ptr_0 & load_ptr_1:
 
    ((store_ptr_0 + store_segment_length_0) <= load_ptr_0)
@@ -1529,7 +1529,7 @@ create_intersect_range_checks_index (struct loop *loop, tree *cond_expr,
      by DR.  In other words, alias is checked if memory segment accessed by
      DR_A in some iterations intersect with memory segment accessed by DR_B
      in the same amount iterations.
-     Note segnment length is a linear function of number of iterations with
+     Note segment length is a linear function of number of iterations with
      DR_STEP as the coefficient.  */
   unsigned HOST_WIDE_INT niter_len1 = (seg_len1 + abs_step - 1) / abs_step;
   unsigned HOST_WIDE_INT niter_len2 = (seg_len2 + abs_step - 1) / abs_step;
diff --git a/gcc/tree-eh.c b/gcc/tree-eh.c
index fc016d7..fa36472 100644
--- a/gcc/tree-eh.c
+++ b/gcc/tree-eh.c
@@ -946,7 +946,7 @@ lower_try_finally_fallthru_label (struct leh_tf_state *tf)
   return label;
 }
 
-/* A subroutine of lower_try_finally.  If FINALLY consits of a
+/* A subroutine of lower_try_finally.  If FINALLY consists of a
    GIMPLE_EH_ELSE node, return it.  */
 
 static inline geh_else *
@@ -4228,7 +4228,7 @@ cleanup_empty_eh_merge_phis (basic_block new_bb, basic_block old_bb,
   for (ei = ei_start (old_bb->preds); (e = ei_safe_edge (ei)); )
     if (e->flags & EDGE_EH)
       {
-	/* ???  CFG manipluation routines do not try to update loop
+	/* ???  CFG manipulation routines do not try to update loop
 	   form on edge redirection.  Do so manually here for now.  */
 	/* If we redirect a loop entry or latch edge that will either create
 	   a multiple entry loop or rotate the loop.  If the loops merge
diff --git a/gcc/tree-if-conv.c b/gcc/tree-if-conv.c
index eb63795..67294df 100644
--- a/gcc/tree-if-conv.c
+++ b/gcc/tree-if-conv.c
@@ -674,7 +674,7 @@ struct ifc_dr {
 /* Iterates over DR's and stores refs, DR and base refs, DR pairs in
    HASH tables.  While storing them in HASH table, it checks if the
    reference is unconditionally read or written and stores that as a flag
-   information.  For base reference it checks if it is written atlest once
+   information.  For base reference it checks if it is written at least once
    unconditionally and stores it as flag information along with DR.
    In other words for every data reference A in STMT there exist other
    accesses to a data reference with the same base with predicates that
@@ -762,7 +762,7 @@ idx_within_array_bound (tree ref, tree *idx, void *dta)
       || !high || TREE_CODE (high) != INTEGER_CST)
     return false;
 
-  /* Check if the intial idx is within bound.  */
+  /* Check if the initial idx is within bound.  */
   if (wi::to_widest (init) < wi::to_widest (low)
       || wi::to_widest (init) > wi::to_widest (high))
     return false;
@@ -840,9 +840,9 @@ base_object_writable (tree ref)
    iteration unconditionally.
 
    Returns true for the memory reference in STMT, same memory reference
-   is read or written unconditionally atleast once and the base memory
+   is read or written unconditionally at least once and the base memory
    reference is written unconditionally once.  This is to check reference
-   will not write fault.  Also retuns true if the memory reference is
+   will not write fault.  Also returns true if the memory reference is
    unconditionally read once then we are conditionally writing to memory
    which is defined as read and write and is bound to the definition
    we are seeing.  */
@@ -880,7 +880,7 @@ ifcvt_memrefs_wont_trap (gimple *stmt, vec<data_reference_p> drs)
       if (DR_IS_READ (a))
 	return true;
 
-      /* an unconditionaly write won't trap if the base is written
+      /* an unconditional write won't trap if the base is written
          to unconditionally.  */
       if (base_master_dr
 	  && DR_BASE_W_UNCONDITIONALLY (*base_master_dr))
@@ -1826,7 +1826,7 @@ predicate_scalar_phi (gphi *phi, gimple_stmt_iterator *gsi)
 	}
       else
 	cond = bb_predicate (first_edge->src);
-      /* Gimplify the condition to a valid cond-expr conditonal operand.  */
+      /* Gimplify the condition to a valid cond-expr conditional operand.  */
       cond = force_gimple_operand_gsi_1 (gsi, unshare_expr (cond),
 					 is_gimple_condexpr, NULL_TREE,
 					 true, GSI_SAME_STMT);
@@ -1898,7 +1898,7 @@ predicate_scalar_phi (gphi *phi, gimple_stmt_iterator *gsi)
 	}
     }
 
-  /* Put element with max number of occurences to the end of ARGS.  */
+  /* Put element with max number of occurrences to the end of ARGS.  */
   if (max_ind != -1 && max_ind +1 != (int) args_len)
     std::swap (args[args_len - 1], args[max_ind]);
 
@@ -1919,7 +1919,7 @@ predicate_scalar_phi (gphi *phi, gimple_stmt_iterator *gsi)
 	  swap = true;
 	  cond = TREE_OPERAND (cond, 0);
 	}
-      /* Gimplify the condition to a valid cond-expr conditonal operand.  */
+      /* Gimplify the condition to a valid cond-expr conditional operand.  */
       cond = force_gimple_operand_gsi_1 (gsi, unshare_expr (cond),
 					 is_gimple_condexpr, NULL_TREE,
 					 true, GSI_SAME_STMT);
@@ -2561,7 +2561,7 @@ version_loop_for_if_conversion (struct loop *loop)
     saved_preds[i] = ifc_bbs[i]->aux;
 
   initialize_original_copy_tables ();
-  /* At this point we invalidate porfile confistency until IFN_LOOP_VECTORIZED
+  /* At this point we invalidate profile consistency until IFN_LOOP_VECTORIZED
      is re-merged in the vectorizer.  */
   new_loop = loop_version (loop, cond, &cond_bb,
 			   REG_BR_PROB_BASE, REG_BR_PROB_BASE,
diff --git a/gcc/tree-inline.c b/gcc/tree-inline.c
index f3ec404..dfab70d 100644
--- a/gcc/tree-inline.c
+++ b/gcc/tree-inline.c
@@ -3531,7 +3531,7 @@ declare_return_variable (copy_body_data *id, tree return_slot, tree modify_dest,
 }
 
 /* Determine if the function can be copied.  If so return NULL.  If
-   not return a string describng the reason for failure.  */
+   not return a string describing the reason for failure.  */
 
 const char *
 copy_forbidden (struct function *fun)
@@ -5266,7 +5266,7 @@ replace_locals_op (tree *tp, int *walk_subtrees, void *data)
       /* Before the omplower pass completes, some OMP clauses can contain
 	 sequences that are neither copied by gimple_seq_copy nor walked by
 	 walk_gimple_seq.  To make copy_gimple_seq_and_replace_locals work even
-	 in those situations, we have to copy and process them explicitely.  */
+	 in those situations, we have to copy and process them explicitly.  */
 
       if (OMP_CLAUSE_CODE (expr) == OMP_CLAUSE_LASTPRIVATE)
 	{
diff --git a/gcc/tree-into-ssa.c b/gcc/tree-into-ssa.c
index d405637..c1226eb 100644
--- a/gcc/tree-into-ssa.c
+++ b/gcc/tree-into-ssa.c
@@ -347,7 +347,7 @@ get_ssa_name_ann (tree name)
   return info;
 }
 
-/* Return and allocate the auxiliar information for DECL.  */
+/* Return and allocate the auxiliary information for DECL.  */
 
 static inline var_info *
 get_var_info (tree decl)
@@ -380,7 +380,7 @@ clear_ssa_name_info (void)
 }
 
 
-/* Get access to the auxiliar information stored per SSA name or decl.  */
+/* Get access to the auxiliary information stored per SSA name or decl.  */
 
 static inline common_info *
 get_common_info (tree var)
@@ -2413,7 +2413,7 @@ public:
   /* opt_pass methods: */
   virtual bool gate (function *fun)
     {
-      /* Do nothing for funcions that was produced already in SSA form.  */
+      /* Do nothing for functions that was produced already in SSA form.  */
       return !(fun->curr_properties & PROP_ssa);
     }
 
@@ -3192,7 +3192,7 @@ insert_updated_phi_nodes_compare_uids (const void *a, const void *b)
    calling create_new_def_for to create new defs for names that the
    caller wants to replace.
 
-   The caller cretaes the new names to be inserted and the names that need
+   The caller creates the new names to be inserted and the names that need
    to be replaced by calling create_new_def_for for each old definition
    to be replaced.  Note that the function assumes that the
    new defining statement has already been inserted in the IL.
@@ -3352,7 +3352,7 @@ update_ssa (unsigned update_flags)
       statistics_counter_event (cfun, "Symbol to SSA rewrite", 1);
 
       /* If we rename bare symbols initialize the mapping to
-         auxiliar info we need to keep track of.  */
+         auxiliary info we need to keep track of.  */
       var_infos = new hash_table<var_info_hasher> (47);
 
       /* If we have to rename some symbols from scratch, we need to
diff --git a/gcc/tree-loop-distribution.c b/gcc/tree-loop-distribution.c
index a60454b..f5f29d3f 100644
--- a/gcc/tree-loop-distribution.c
+++ b/gcc/tree-loop-distribution.c
@@ -1400,7 +1400,7 @@ pg_add_dependence_edges (struct graph *rdg, vec<loop_p> loops, int dir,
 		std::swap (dr1, dr2);
 		this_dir = -this_dir;
 	      }
-	    /* Known dependences can still be unordered througout the
+	    /* Known dependences can still be unordered throughout the
 	       iteration space, see gcc.dg/tree-ssa/ldist-16.c.  */
 	    if (DDR_NUM_DIST_VECTS (ddr) != 1)
 	      this_dir = 2;
@@ -1868,7 +1868,8 @@ out:
   if (changed)
     {
       /* Destroy loop bodies that could not be reused.  Do this late as we
-	 otherwise can end up refering to stale data in control dependences.  */
+	 otherwise can end up referring to stale data in control
+	 dependences.  */
       unsigned i;
       FOR_EACH_VEC_ELT (loops_to_be_destroyed, i, loop)
 	  destroy_loop (loop);
diff --git a/gcc/tree-predcom.c b/gcc/tree-predcom.c
index 23e7870..e307167 100644
--- a/gcc/tree-predcom.c
+++ b/gcc/tree-predcom.c
@@ -2502,7 +2502,7 @@ tree_predictive_commoning_loop (struct loop *loop)
   if (dump_file && (dump_flags & TDF_DETAILS))
     fprintf (dump_file, "Processing loop %d\n",  loop->num);
 
-  /* Nothing for predicitive commoning if loop only iterates 1 time.  */
+  /* Nothing for predictive commoning if loop only iterates 1 time.  */
   if (get_max_loop_iterations_int (loop) == 0)
     {
       if (dump_file && (dump_flags & TDF_DETAILS))
diff --git a/gcc/tree-profile.c b/gcc/tree-profile.c
index a49ec37..3e5fe24 100644
--- a/gcc/tree-profile.c
+++ b/gcc/tree-profile.c
@@ -627,7 +627,7 @@ tree_profiling (void)
 	continue;
       /* Do not instrument extern inline functions when testing coverage.
 	 While this is not perfectly consistent (early inlined extern inlines
-	 will get acocunted), testsuite expects that.  */
+	 will get accounted), testsuite expects that.  */
       if (DECL_EXTERNAL (node->decl)
 	  && flag_test_coverage)
 	continue;
@@ -749,7 +749,7 @@ pass_ipa_tree_profile::gate (function *)
 {
   /* When profile instrumentation, use or test coverage shall be performed.
      But for AutoFDO, this there is no instrumentation, thus this pass is
-     diabled.  */
+     disabled.  */
   return (!in_lto_p && !flag_auto_profile
 	  && (flag_branch_probabilities || flag_test_coverage
 	      || profile_arc_flag));
